# Default values for traefik-forward-auth.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 1

image:
  repository: traefik
  pullPolicy: IfNotPresent
#  credentials:
#    name: foo
#    registry: "gitlab.com"
#    username: "user"
#    password: "pass"
  tag: "2.8.0"

# Service that will benefit from the auth process
targetService: http://kubernetes-service.ns.svc:8000

authResponseHeaders:
  - "X-Forwarded-User"

# Paths that will use the authentication middleware
authPaths: []
  # - /auth/login
  # - /_oauth

# Additional arguments for traefik
args: []
  # - --log.level=DEBUG
  # - --accesslog=true

nameOverride: ""
fullnameOverride: ""

podAnnotations: {}

service:
  type: ClusterIP
  port: 80
  targetPort: 8000
  annotations: {}

probes:
  liveness:
    tcpSocket:
      port: 8000
  readiness:
    tcpSocket:
      port: 8000

ingress:
  className: null
  enabled: false
  certManagerClusterIssuer: letsencrypt-prod
  host: null
  path: /
  annotations:
    acme.cert-manager.io/http01-edit-in-place: "true"
  hosts: []
  #  - host: chart-example.local
  #    paths: []
  tls:
    enabled: true
    additional: []
    #  - secretName: chart-example-tls
    #    hosts:
    #      - chart-example.local

monitoring:
  namespace: monitoring
  exporter:
    enabled: false
    port: 9091
    targetPort: 9091
  dashboard:
    deploy: false
    sidecarLabel: grafana-dashboard

resources: {}
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  # limits:
  #   cpu: 100m
  #   memory: 128Mi
  # requests:
  #   cpu: 100m
  #   memory: 128Mi

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 100
  targetCPUUtilizationPercentage: 80
  # targetMemoryUtilizationPercentage: 80

nodeSelector: {}

tolerations: []

affinity: {}

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""

middleware:
  image:
    repository: thomseddon/traefik-forward-auth
    pullPolicy: IfNotPresent
    tag: "2"

  service:
    type: ClusterIP
    port: 80
    targetPort: 4181
    annotations: {}

  probes:
    liveness:
      tcpSocket:
        port: 4181
    readiness:
      tcpSocket:
        port: 4181

  envVars: {}
